Package

## Class InterstitialAdEventListener

- All Implemented Interfaces:

      public abstract class InterstitialAdEventListener
      extends AdEventListener<InMobiInterstitial>

  Listener for receiving notifications during the lifecycle of an interstitial.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---

  - ### Method Summary

    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onAdFetchFailed(@NonNull() InMobiInterstitial ad, @NonNull() InMobiAdRequestStatus status)` | Called to notify that an ad preload has failed.
    `void` | `onAdWillDisplay(@NonNull() InMobiInterstitial ad)` | Called to indicate that the ad will be launching a fullscreen overlay.
    `void` | `onAdDisplayed(@NonNull() InMobiInterstitial ad, @NonNull() AdMetaInfo info)` | Called to indicate that the fullscreen overlay is now the topmost screen.
    `void` | `onAdDisplayFailed(@NonNull() InMobiInterstitial ad)` | Called to indicate that a request to show an ad (by calling show failed.
    `void` | `onAdDismissed(@NonNull() InMobiInterstitial ad)` | Called to indicate that the fullscreen overlay opened by the ad was closed.
    `void` | `onUserLeftApplication(@NonNull() InMobiInterstitial ad)` | Called to indicate that the user may leave the application on account of interacting with the ad.
    `void` | `onRewardsUnlocked(@NonNull() InMobiInterstitial ad, Map<Object, Object> rewards)` | Called to indicate that rewards have been unlocked.

    - ### Methods inherited from class com.inmobi.ads.listeners.AdEventListener

      `onAdClicked, onAdFetchSuccessful, onAdImpression, onAdLoadFailed, onAdLoadSucceeded, onRequestPayloadCreated, onRequestPayloadCreationFailed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

  - ### Method Detail

    - #### onAdFetchFailed

           void onAdFetchFailed(@NonNull() InMobiInterstitial ad, @NonNull() InMobiAdRequestStatus status)

      Called to notify that an ad preload has failed.

      Note This notification is given only when you use `preload()` in getPreloadManager

      Parameters:
        `ad` - Represents the InMobiInterstitial ad which was preloaded
        `status` - Represents the InMobiAdRequestStatus status containing error reason

    - #### onAdWillDisplay

           void onAdWillDisplay(@NonNull() InMobiInterstitial ad)

      Called to indicate that the ad will be launching a fullscreen overlay.

      Parameters:
        `ad` - Represents the InMobiInterstitial ad which will display

    - #### onAdDisplayed

           void onAdDisplayed(@NonNull() InMobiInterstitial ad, @NonNull() AdMetaInfo info)

      Called to indicate that the fullscreen overlay is now the topmost screen.

      Parameters:
        `ad` - Represents the InMobiInterstitial ad which is displayed
        `info` - Represents the meta info for the ad displayed

    - #### onAdDisplayFailed

           void onAdDisplayFailed(@NonNull() InMobiInterstitial ad)

      Called to indicate that a request to show an ad (by calling show failed. You should call load to request for a fresh ad.

      Parameters:
        `ad` - Represents the InMobiInterstitial ad which failed to show

    - #### onAdDismissed

           void onAdDismissed(@NonNull() InMobiInterstitial ad)

      Called to indicate that the fullscreen overlay opened by the ad was closed.

      Parameters:
        `ad` - Represents the InMobiInterstitial ad which was dismissed

    - #### onUserLeftApplication

           void onUserLeftApplication(@NonNull() InMobiInterstitial ad)

      Called to indicate that the user may leave the application on account of interacting with the ad.

      Parameters:
        `ad` - Represents the InMobiInterstitial ad

    - #### onRewardsUnlocked

           void onRewardsUnlocked(@NonNull() InMobiInterstitial ad, Map<Object, Object> rewards)

      Called to indicate that rewards have been unlocked.

      Parameters:
        `ad` - Represents the InMobiInterstitial ad for which rewards was unlocked
        `rewards` - Represents the rewards unlocked